View Issue Details

IDProjectCategoryView StatusLast Update
13353Bug reports[All Projects] Authenticationpublic2018-02-19 15:09
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target Version3.3.xFixed in Version3.4.x 
Summary13353: Unable to update uset (mssql related)
Description

500 error when try to update user (even with empty password)

Steps To Reproduce

Try to update (or not) user (without debug) on another user.

  1. Open an update user
  2. Click save without any update
Additional Information

Only for mssql … and maybe some mssql version …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.0+180209
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmssql 10.50.2500
Server OS (if known)Windows 7
Webserver software & version (if known)IIS
PHP Version7.1.14 (bin from php.net)

Activities

DenisChenu

DenisChenu

2018-02-14 15:09

developer  

Internal Server Error.htm (1,348 bytes)
DenisChenu

DenisChenu

2018-02-14 15:28

developer   ~46452

@ollehar : you update the one_time_pw from nvarchar to binary : this seems to disallow totally any update …
unset one_time_pw when update work (i send a pull request for better detail)

But : how user can add a one_time_pw actually ? I think they just have to add it manually in SQL system. But with binary : it's more difficult.

PS : i thihnk it's related to password : but this one is string ;)

ollehar

ollehar

2018-02-14 15:32

administrator   ~46453

Which commit?

DenisChenu

DenisChenu

2018-02-14 15:43

developer   ~46454

My error : https://github.com/LimeSurvey/LimeSurvey/commit/f2ebcacc3a6117303932e6feac60b1d05772d38e

:)

Previous version:
mssql : nvarchar : https://github.com/LimeSurvey/LimeSurvey/blob/f2ebcacc3a6117303932e6feac60b1d05772d38e/installer/sql/create-mssql.sql#L533
mysql : blob : https://github.com/LimeSurvey/LimeSurvey/blob/f2ebcacc3a6117303932e6feac60b1d05772d38e/installer/sql/create-mysql.sql#L537
pgsql : bytea https://github.com/LimeSurvey/LimeSurvey/blob/f2ebcacc3a6117303932e6feac60b1d05772d38e/installer/sql/create-pgsql.sql#L542

Maybe move to string for whole and basta (more easy to use/update for admin user, and usage are really restricted)

DenisChenu

DenisChenu

2018-02-14 15:53

developer   ~46455

http://www.yiiframework.com/forum/index.php/topic/63546-sql-serverimplicit-conversion-from-data-type-varchar-to-varbinarymax-is-not-allowed-use-the-convert-function-to-run-this-query/

user70560

2018-02-15 14:28

  ~46533

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26484

Related Changesets

LimeSurvey: master bd408629

2018-02-15 14:28:09

user70560


Committer: GitHub Details Diff
Fixed issue 13353: Unable to update user (mssql related)

Dev: fix model for sqlsrv
Affected Issues
13353
mod - application/models/User.php Diff File

Issue History

Date Modified Username Field Change
2018-02-14 15:09 DenisChenu New Issue
2018-02-14 15:09 DenisChenu Status new => assigned
2018-02-14 15:09 DenisChenu Assigned To => DenisChenu
2018-02-14 15:09 DenisChenu File Added: Internal Server Error.htm
2018-02-14 15:10 DenisChenu Target Version => 3.3.x
2018-02-14 15:28 DenisChenu Assigned To DenisChenu => ollehar
2018-02-14 15:28 DenisChenu Status assigned => feedback
2018-02-14 15:28 DenisChenu Note Added: 46452
2018-02-14 15:32 ollehar Note Added: 46453
2018-02-14 15:37 DenisChenu Summary Unable to update password (mssql related) => Unable to update uset (mssql related)
2018-02-14 15:37 DenisChenu Description Updated View Revisions
2018-02-14 15:37 DenisChenu Steps to Reproduce Updated View Revisions
2018-02-14 15:40 DenisChenu Assigned To ollehar => markusfluer
2018-02-14 15:43 DenisChenu Note Added: 46454
2018-02-14 15:43 DenisChenu Status feedback => assigned
2018-02-14 15:53 DenisChenu Note Added: 46455
2018-02-15 14:28 user70560 Changeset attached => LimeSurvey master bd408629
2018-02-15 14:28 user70560 Note Added: 46533
2018-02-15 14:28 user70560 Assigned To markusfluer => user70560
2018-02-15 14:28 user70560 Resolution open => fixed
2018-02-15 14:43 DenisChenu Assigned To user70560 => DenisChenu
2018-02-15 14:43 DenisChenu Status assigned => resolved
2018-02-15 14:43 DenisChenu Fixed in Version => 3.3.x
2018-02-19 15:09 ollehar Status resolved => closed
2018-02-19 15:09 ollehar Fixed in Version 3.3.x => 3.4.x